## com.lowagie.toolbox.plugins
Class Normalize

    java.lang.Object
      com.lowagie.toolbox.AbstractTool
          com.lowagie.toolbox.plugins.Normalize

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class Normalize

extends AbstractTool

Since:
  2.1.1 (imported from itexttoolbox project)

Nested Class Summary
`class` `Normalize.Ausrichtung`

Field Summary
`(package private) FileArgument` `destfile`
`(package private) float` `height`
`(package private) PdfDictionary` `lastpage`
`(package private) int` `pagecount`
`(package private) int` `pagecountinsertedpages`
`(package private) int` `pagecountrotatedpages`
`(package private) float` `tolerancex`
`(package private) float` `tolerancey`
`(package private) float` `width`

Fields inherited from class com.lowagie.toolbox.AbstractTool
`arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

Constructor Summary
`Normalize()` Constructs a Burst object.

Method Summary
`private void` `appendemptypageatend(PdfReader reader, PdfWriter writer)`
`protected void` `createFrame()` Creates the internal frame.
`void` `execute()` Executes the tool (in most cases this generates a PDF file).
`protected java.io.File` `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
`int` `getPagecountinsertedpages()`
`int` `getPagecountrotatedpages()`
`protected void` `iteratePages(PdfDictionary page, PdfReader pdfreader, java.util.ArrayList<PdfDictionary> pageInh, int count_in_leaf, PdfWriter writer)`
`static void` `main(java.lang.String[] args)` Normalize PDF file.
`private void` `Seitehinzufuegen(PdfDictionary page, int count_in_leaf, PdfWriter writer, PdfArray array)`
`void` `valueHasChanged(AbstractArgument arg)` Indicates that the value of an argument has changed.

Methods inherited from class com.lowagie.toolbox.AbstractTool
`actionPerformed, addVersion, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setInternalFrame, setMainArguments, setMenubar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destfile

    FileArgument destfile

### pagecount

    int pagecount

### width

    float width

### height

    float height

### lastpage

    PdfDictionary lastpage

### tolerancex

    float tolerancex

### tolerancey

    float tolerancey

### pagecountinsertedpages

    int pagecountinsertedpages

### pagecountrotatedpages

    int pagecountrotatedpages

Constructor Detail

### Normalize

    public Normalize()

  Constructs a Burst object.

Method Detail

### createFrame

    protected void createFrame()

  Description copied from class: `AbstractTool`
  Creates the internal frame.

  Specified by:
    `createFrame` in class `AbstractTool`
  See Also:
    `AbstractTool.createFrame()`

### iteratePages

    protected void iteratePages(PdfDictionary page,
                                PdfReader pdfreader,
                                java.util.ArrayList<PdfDictionary> pageInh,
                                int count_in_leaf,
                                PdfWriter writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### Seitehinzufuegen

    private void Seitehinzufuegen(PdfDictionary page,
                                  int count_in_leaf,
                                  PdfWriter writer,
                                  PdfArray array)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### execute

    public void execute()

  Description copied from class: `AbstractTool`
  Executes the tool (in most cases this generates a PDF file).

  Specified by:
    `execute` in class `AbstractTool`
  See Also:
    `AbstractTool.execute()`

### appendemptypageatend

    private void appendemptypageatend(PdfReader reader,
                                      PdfWriter writer)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPagecountinsertedpages

    public int getPagecountinsertedpages()

### getPagecountrotatedpages

    public int getPagecountrotatedpages()

### valueHasChanged

    public void valueHasChanged(AbstractArgument arg)

  Description copied from class: `AbstractTool`
  Indicates that the value of an argument has changed.

  Specified by:
    `valueHasChanged` in class `AbstractTool`
  Parameters:
    `arg` - StringArgument
  See Also:
    `AbstractTool.valueHasChanged(com.lowagie.toolbox.arguments.AbstractArgument)`

### main

    public static void main(java.lang.String[] args)

  Normalize PDF file.

  Parameters:
    `args` - String[]

### getDestPathPDF

    protected java.io.File getDestPathPDF()
                                   throws java.lang.InstantiationException

  Description copied from class: `AbstractTool`
  Gets the PDF file that should be generated (or null if the output isn't a PDF file).

  Specified by:
    `getDestPathPDF` in class `AbstractTool`
  Returns:
    File
  Throws:
    `java.lang.InstantiationException`
  See Also:
    `AbstractTool.getDestPathPDF()`

Hosted by Hostbasket